import { z } from "zod"

export const UpdateBuildAddressSchema = z.object({
    buildNumber: z.string().optional(),
    doorNumber: z.string().optional(),
    floorNumber: z.string().optional(),
    commentAddress: z.string().optional(),
    letterAddress: z.string().optional(),
    shortLetterAddress: z.string().optional(),
    latitude: z.number().optional(),
    longitude: z.number().optional(),
    street: z.string().optional(),
});

export type UpdateBuildAddress = z.infer<typeof UpdateBuildAddressSchema>;
